RK-A2 - Task #3778

Ensure that no one can access QnAs without logging in

01/14/2025 07:01 AM - Ram Kordale

Status: Closed
Priority: High
Assignee: Ram Kordale
Category:

Target version:

Start date:

Due date:

% Done:
Estimated time:

Spent time:

01/14/2025

100%
0.00 hour
0.00 hour

Description

If one goes to the FE, one is allowed to get the first X QnAs without logging in. After that, they are asked to login to continue.
However, one can use the API directly to get to the QnA. This should be disallowed.

After this, one should not be able to get the first X QnAs through any means without logging in.

History

#1 - 01/14/2025 07:24 AM - Ram Kordale

- Description updated

#2 - 01/14/2025 07:25 AM - Ram Kordale

- Description updated

#3 - 01/24/2025 08:34 AM - Shubham Boke
- Status changed from New to In Progress
- Assignee set to Shubham Boke

- % Done changed from 0 to 100

#4 - 01/24/2025 08:34 AM - Shubham Boke

- Status changed from In Progress to Resolved

#5 - 01/24/2025 08:34 AM - Shubham Boke
- Status changed from Resolved to Review

- Assignee changed from Shubham Boke to Dewakar Chaubey

#6 - 02/06/2025 07:11 AM - Dewakar Chaubey
- Status changed from Review to Feedback

- Assignee changed from Dewakar Chaubey to Shubham Boke

#7 - 02/06/2025 10:42 AM - Shubham Boke

- Assignee changed from Shubham Boke to Dewakar Chaubey

#8 - 02/06/2025 12:35 PM - Dewakar Chaubey

- Assignee changed from Dewakar Chaubey to Shubham Boke

#9 - 02/06/2025 01:06 PM - Shubham Boke

- Assignee changed from Shubham Boke to Ram Kordale

#10 - 03/27/2025 05:51 AM - Ram Kordale
- Status changed from Feedback to Closed
